<?php
namespace FiloBlu\ExtInventory\Block\Adminhtml\Orderedit\Tab\Multistock;

class View extends \Magento\Backend\Block\Template implements \Magento\Backend\Block\Widget\Tab\TabInterface
{
    protected $_template = 'tab/view/multistock.phtml';

    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Framework\Registry $registry,
        array $data = []
    ) {
        $this->_coreRegistry = $registry;
        parent::__construct($context, $data);
    }
    public function getOrder()
    {
        return $this->_coreRegistry->registry('current_order');
    }
    public function getOrderId()
    {
        return $this->getOrder()->getEntityId();
    }
    public function getAllWarehouseData()
    {
        $all_warehouse_data = array();
        $items = $this->getOrder()->getAllItems();
        foreach ($items as $item) {
            if($item->getProductType() == 'simple'){

                if(!$item->getExtensionAttributes() || !$item->getExtensionAttributes()->getFiloBluOrderItem()){
                    continue;
                }

                $filoblu_order_items = $item->getExtensionAttributes()->getFiloBluOrderItem();

                if (count($filoblu_order_items) == 0){
                    continue;
                }

                foreach ($filoblu_order_items as $filoblu_order_item) {
                    $all_warehouse_data[] = $filoblu_order_item->getData();
                }

            }

        }

        if(count($all_warehouse_data) == 0){
            return false;
        }
        return $all_warehouse_data;
    }
    public function getTabLabel()
    {
        return __('Multistock');
    }
    public function getTabTitle()
    {
        return __('Multistock');
    }
    public function canShowTab()
    {
        return true;
    }
    public function isHidden()
    {
        return false;
    }
}